export declare class OrderedMap<K, V> implements Map<K, V> {
    size: number;
    [Symbol.toStringTag]: string;
    private readonly map;
    private order;
    constructor(entries?: readonly (readonly [K, V])[] | null | undefined | Map<K, V>);
    [Symbol.iterator](): IterableIterator<[K, V]>;
    clear(): void;
    delete(key: K): boolean;
    entries(): IterableIterator<[K, V]>;
    forEach(callback: (value: V, key: K, map: Map<K, V>) => void): void;
    get(key: K): V | undefined;
    has(key: K): boolean;
    keys(): IterableIterator<K>;
    set(key: K, value: V, maintainIndex?: boolean): this;
    values(): IterableIterator<V>;
}
