import { Ast } from "..";
export declare function assertAsNodeKind<T extends Ast.TNode>(node: Ast.TNode, expectedNodeKinds: ReadonlyArray<T["kind"]> | T["kind"]): T;
export declare function assertAsTBinOpExpression(node: Ast.TNode): Ast.TBinOpExpression;
export declare function assertAsTKeyValuePair(node: Ast.TNode): Ast.TKeyValuePair;
export declare function assertAsTPairedConstant(node: Ast.TNode): Ast.TPairedConstant;
export declare function assertIsNodeKind<T extends Ast.TNode>(node: Ast.TNode, expectedNodeKinds: ReadonlyArray<T["kind"]> | T["kind"]): asserts node is T;
export declare function assertIsTBinOpExpression(node: Ast.TNode): asserts node is Ast.TBinOpExpression;
export declare function assertIsTKeyValuePair(node: Ast.TNode): asserts node is Ast.TKeyValuePair;
export declare function assertIsTPairedConstant(node: Ast.TNode): asserts node is Ast.TPairedConstant;
