import { Ast } from "..";
export declare function isNodeKind<T extends Ast.TNode>(node: Ast.TNode, expectedNodeKinds: ReadonlyArray<T["kind"]> | T["kind"]): node is T;
export declare function isTBinOpExpression(node: Ast.TNode): node is Ast.TBinOpExpression;
export declare function isTBinOpExpressionKind(nodeKind: Ast.NodeKind): nodeKind is Ast.TBinOpExpressionNodeKind;
export declare function isTKeyValuePair(node: Ast.TNode): node is Ast.TKeyValuePair;
export declare function isTPairedConstant(node: Ast.TNode): node is Ast.TPairedConstant;
