import { Constant } from ".";
import { TokenKind } from "../token";
export declare function unaryOperatorKindFrom(tokenKind: TokenKind | undefined): Constant.UnaryOperator | undefined;
export declare function arithmeticOperatorKindFrom(tokenKind: TokenKind | undefined): Constant.ArithmeticOperator | undefined;
export declare function equalityOperatorKindFrom(tokenKind: TokenKind | undefined): Constant.EqualityOperator | undefined;
export declare function logicalOperatorKindFrom(tokenKind: TokenKind | undefined): Constant.LogicalOperator | undefined;
export declare function relationalOperatorKindFrom(tokenKind: TokenKind | undefined): Constant.RelationalOperator | undefined;
export declare function binOpExpressionOperatorKindFrom(tokenKind: TokenKind | undefined): Constant.TBinOpExpressionOperator | undefined;
export declare function binOpExpressionOperatorPrecedence(operator: Constant.TBinOpExpressionOperator): number;
export declare function isBinOpExpressionOperator(text: string): text is Constant.TBinOpExpressionOperator;
export declare function isTConstant(text: string): text is Constant.TConstant;
export declare function isArithmeticOperator(text: string): text is Constant.ArithmeticOperator;
export declare function isEqualityOperator(text: string): text is Constant.EqualityOperator;
export declare function isKeywordConstant(text: string): text is Constant.KeywordConstant;
export declare function isLanguageConstant(text: string): text is Constant.LanguageConstant;
export declare function isLogicalOperator(text: string): text is Constant.LogicalOperator;
export declare function isMiscConstant(text: string): text is Constant.MiscConstant;
export declare function isPrimitiveTypeConstant(text: string): text is Constant.PrimitiveTypeConstant;
export declare function isRelationalOperator(text: string): text is Constant.RelationalOperator;
export declare function isUnaryOperator(text: string): text is Constant.UnaryOperator;
export declare function isWrapperConstant(text: string): text is Constant.WrapperConstant;
export declare function isPairedWrapperConstantKinds(left: Constant.TConstant, right: Constant.TConstant): boolean;
