import { Type } from "..";
export declare function isEqualType(left: Type.TPowerQueryType, right: Type.TPowerQueryType): boolean;
export declare function isEqualFunctionParameter(left: Type.FunctionParameter, right: Type.FunctionParameter): boolean;
export declare function isEqualFunctionSignature(left: Type.TPowerQueryType & Type.FunctionSignature, right: Type.TPowerQueryType & Type.FunctionSignature): boolean;
export declare function isEqualTypes(leftTypes: ReadonlyArray<Type.TPowerQueryType>, rightTypes: ReadonlyArray<Type.TPowerQueryType>): boolean;
export declare function isEqualExtendedTypes(left: Type.TExtendedType, right: Type.TExtendedType): boolean;
export declare function isEqualAnyUnion(left: Type.AnyUnion, right: Type.AnyUnion): boolean;
export declare function isEqualDefinedFunction(left: Type.DefinedFunction, right: Type.DefinedFunction): boolean;
export declare function isEqualDefinedList(left: Type.DefinedList, right: Type.DefinedList): boolean;
export declare function isEqualDefinedListType(left: Type.DefinedListType, right: Type.DefinedListType): boolean;
export declare function isEqualDefinedRecord(left: Type.DefinedRecord, right: Type.DefinedRecord): boolean;
export declare function isEqualDefinedTable(left: Type.DefinedTable, right: Type.DefinedTable): boolean;
export declare function isEqualPrimaryPrimitiveType(left: Type.PrimaryPrimitiveType, right: Type.PrimaryPrimitiveType): boolean;
export declare function isEqualFieldSpecificationList(left: Type.TFieldSpecificationList, right: Type.TFieldSpecificationList): boolean;
export declare function isEqualFunctionParameters(left: ReadonlyArray<Type.FunctionParameter>, right: ReadonlyArray<Type.FunctionParameter>): boolean;
export declare function isEqualFunctionType(left: Type.FunctionType, right: Type.FunctionType): boolean;
export declare function isEqualListType(left: Type.ListType, right: Type.ListType): boolean;
export declare function isEqualLogicalLiteral(left: Type.LogicalLiteral, right: Type.LogicalLiteral): boolean;
export declare function isEqualNumberLiteral(left: Type.NumberLiteral, right: Type.NumberLiteral): boolean;
export declare function isEqualPrimitiveType(left: Type.TPrimitiveType, right: Type.TPrimitiveType): boolean;
export declare function isEqualRecordType(left: Type.RecordType, right: Type.RecordType): boolean;
export declare function isEqualTableType(left: Type.TableType, right: Type.TableType): boolean;
export declare function isEqualTableTypePrimaryExpression(left: Type.TableTypePrimaryExpression, right: Type.TableTypePrimaryExpression): boolean;
export declare function isEqualTextLiteral(left: Type.TextLiteral, right: Type.TextLiteral): boolean;
