import { Type } from "..";
export declare function isAction(type: Type.TPowerQueryType): type is Type.Action;
export declare function isAny(type: Type.TPowerQueryType): type is Type.TAny;
export declare function isAnyUnion(type: Type.TPowerQueryType): type is Type.AnyUnion;
export declare function isAnyNonNull(type: Type.TPowerQueryType): type is Type.AnyNonNull;
export declare function isBinary(type: Type.TPowerQueryType): type is Type.Binary;
export declare function isDate(type: Type.TPowerQueryType): type is Type.Date;
export declare function isDateTime(type: Type.TPowerQueryType): type is Type.DateTime;
export declare function isDateTimeZone(type: Type.TPowerQueryType): type is Type.DateTimeZone;
export declare function isDefinedFunction(type: Type.TPowerQueryType): type is Type.DefinedFunction;
export declare function isDefinedList(type: Type.TPowerQueryType): type is Type.DefinedList;
export declare function isDefinedListType(type: Type.TPowerQueryType): type is Type.DefinedListType;
export declare function isDefinedRecord(type: Type.TPowerQueryType): type is Type.DefinedRecord;
export declare function isDefinedTable(type: Type.TPowerQueryType): type is Type.DefinedTable;
export declare function isDuration(type: Type.TPowerQueryType): type is Type.Duration;
export declare function isFieldSpecificationList(type: Type.TPowerQueryType): type is Type.TPowerQueryType & Type.TFieldSpecificationList;
export declare function isFunction(type: Type.TPowerQueryType): type is Type.TFunction;
export declare function isFunctionSignature(type: Type.TPowerQueryType): type is Type.TPowerQueryType & Type.FunctionSignature;
export declare function isFunctionType(type: Type.TPowerQueryType): type is Type.FunctionType;
export declare function isList(type: Type.TPowerQueryType): type is Type.TList;
export declare function isLiteral(type: Type.TPowerQueryType): type is Type.TLiteral;
export declare function isLogical(type: Type.TPowerQueryType): type is Type.TLogical;
export declare function isLogicalLiteral(type: Type.TPowerQueryType): type is Type.LogicalLiteral;
export declare function isNone(type: Type.TPowerQueryType): type is Type.None;
export declare function isNotApplicable(type: Type.TPowerQueryType): type is Type.NotApplicable;
export declare function isNull(type: Type.TPowerQueryType): type is Type.Null;
export declare function isNumber(type: Type.TPowerQueryType): type is Type.Number;
export declare function isNumberLiteral(type: Type.TPowerQueryType): type is Type.NumberLiteral;
export declare function isPrimaryPrimitiveType(type: Type.TPowerQueryType): type is Type.PrimaryPrimitiveType;
export declare function isRecord(type: Type.TPowerQueryType): type is Type.TRecord;
export declare function isRecordType(type: Type.TPowerQueryType): type is Type.RecordType;
export declare function isTable(type: Type.TPowerQueryType): type is Type.TTable;
export declare function isTableType(type: Type.TPowerQueryType): type is Type.TableType;
export declare function isTableTypePrimaryExpression(type: Type.TPowerQueryType): type is Type.TableTypePrimaryExpression;
export declare function isText(type: Type.TPowerQueryType): type is Type.Text;
export declare function isTextLiteral(type: Type.TPowerQueryType): type is Type.TextLiteral;
export declare function isTime(type: Type.TPowerQueryType): type is Type.Time;
export declare function isTPrimitiveType(type: Type.TPowerQueryType): type is Type.TPrimitiveType;
export declare function isType(type: Type.TPowerQueryType): type is Type.Type;
export declare function isUnknown(type: Type.TPowerQueryType): type is Type.Unknown;
