import { Ast } from "../..";
import { NodeIdMap, XorNode } from "../../../parser";
import { TraceManager } from "../../../common/trace";
import { Type } from "..";
export declare function typeKindFromLiteralKind(literalKind: Ast.LiteralKind): Type.TypeKind;
export declare function isTypeInArray(collection: ReadonlyArray<Type.TPowerQueryType>, item: Type.TPowerQueryType): boolean;
export declare function isTypeKind(text: string): text is Type.TypeKind;
export declare function isValidInvocation(functionType: Type.DefinedFunction, args: ReadonlyArray<Type.TPowerQueryType>, traceManager: TraceManager, correlationId: number | undefined): boolean;
export declare function inspectParameter(nodeIdMapCollection: NodeIdMap.Collection, parameter: XorNode<Ast.TParameter>): Type.FunctionParameter | undefined;
