"use strict";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT license.
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultTemplates = exports.TemplatesByLocale = exports.zh_TW = exports.zh_CN = exports.vi_VN = exports.uk_UA = exports.tr_TR = exports.th_TH = exports.sv_SE = exports.sr_Latn_RS = exports.sr_Cyrl_RS = exports.sl_SI = exports.sk_SK = exports.ru_RU = exports.ro_RO = exports.pt_PT = exports.pt_BR = exports.pl_PL = exports.nl_NL = exports.nb_NO = exports.ms_MY = exports.lv_LV = exports.lt_LT = exports.ko_KR = exports.kk_KZ = exports.ja_JP = exports.it_IT = exports.id_ID = exports.hu_HU = exports.hr_HR = exports.hi_IN = exports.gl_ES = exports.fr_FR = exports.fi_FI = exports.eu_ES = exports.et_EE = exports.es_ES = exports.en_US = exports.el_GR = exports.de_DE = exports.da_DK = exports.cs_CZ = exports.ca_ES = exports.bg_BG = void 0;
const bg_BG = require("./templates/template.bg-BG.json");
exports.bg_BG = bg_BG;
const ca_ES = require("./templates/template.ca-ES.json");
exports.ca_ES = ca_ES;
const cs_CZ = require("./templates/template.cs-CZ.json");
exports.cs_CZ = cs_CZ;
const da_DK = require("./templates/template.da-DK.json");
exports.da_DK = da_DK;
const de_DE = require("./templates/template.de-DE.json");
exports.de_DE = de_DE;
const el_GR = require("./templates/template.el-GR.json");
exports.el_GR = el_GR;
const en_US = require("./templates/template.json");
exports.en_US = en_US;
const es_ES = require("./templates/template.es-ES.json");
exports.es_ES = es_ES;
const et_EE = require("./templates/template.et-EE.json");
exports.et_EE = et_EE;
const eu_ES = require("./templates/template.eu-ES.json");
exports.eu_ES = eu_ES;
const fi_FI = require("./templates/template.fi-FI.json");
exports.fi_FI = fi_FI;
const fr_FR = require("./templates/template.fr-FR.json");
exports.fr_FR = fr_FR;
const gl_ES = require("./templates/template.gl-ES.json");
exports.gl_ES = gl_ES;
const hi_IN = require("./templates/template.hi-IN.json");
exports.hi_IN = hi_IN;
const hr_HR = require("./templates/template.hr-HR.json");
exports.hr_HR = hr_HR;
const hu_HU = require("./templates/template.hu-HU.json");
exports.hu_HU = hu_HU;
const id_ID = require("./templates/template.id-ID.json");
exports.id_ID = id_ID;
const it_IT = require("./templates/template.it-IT.json");
exports.it_IT = it_IT;
const ja_JP = require("./templates/template.ja-JP.json");
exports.ja_JP = ja_JP;
const kk_KZ = require("./templates/template.kk-KZ.json");
exports.kk_KZ = kk_KZ;
const ko_KR = require("./templates/template.ko-KR.json");
exports.ko_KR = ko_KR;
const lt_LT = require("./templates/template.lt-LT.json");
exports.lt_LT = lt_LT;
const lv_LV = require("./templates/template.lv-LV.json");
exports.lv_LV = lv_LV;
const ms_MY = require("./templates/template.ms-MY.json");
exports.ms_MY = ms_MY;
const nb_NO = require("./templates/template.nb-NO.json");
exports.nb_NO = nb_NO;
const nl_NL = require("./templates/template.nl-NL.json");
exports.nl_NL = nl_NL;
const pl_PL = require("./templates/template.pl-PL.json");
exports.pl_PL = pl_PL;
const pt_BR = require("./templates/template.pt-BR.json");
exports.pt_BR = pt_BR;
const pt_PT = require("./templates/template.pt-PT.json");
exports.pt_PT = pt_PT;
const ro_RO = require("./templates/template.ro-RO.json");
exports.ro_RO = ro_RO;
const ru_RU = require("./templates/template.ru-RU.json");
exports.ru_RU = ru_RU;
const sk_SK = require("./templates/template.sk-SK.json");
exports.sk_SK = sk_SK;
const sl_SI = require("./templates/template.sl-SI.json");
exports.sl_SI = sl_SI;
const sr_Cyrl_RS = require("./templates/template.sr-Cyrl-RS.json");
exports.sr_Cyrl_RS = sr_Cyrl_RS;
const sr_Latn_RS = require("./templates/template.sr-Latn-RS.json");
exports.sr_Latn_RS = sr_Latn_RS;
const sv_SE = require("./templates/template.sv-SE.json");
exports.sv_SE = sv_SE;
const th_TH = require("./templates/template.th-TH.json");
exports.th_TH = th_TH;
const tr_TR = require("./templates/template.tr-TR.json");
exports.tr_TR = tr_TR;
const uk_UA = require("./templates/template.uk-UA.json");
exports.uk_UA = uk_UA;
const vi_VN = require("./templates/template.vi-VN.json");
exports.vi_VN = vi_VN;
const zh_CN = require("./templates/template.zh-CN.json");
exports.zh_CN = zh_CN;
const zh_TW = require("./templates/template.zh-TW.json");
exports.zh_TW = zh_TW;
const locale_1 = require("./locale");
exports.TemplatesByLocale = new Map([
    [locale_1.Locale.bg_BG.toLowerCase(), bg_BG],
    [locale_1.Locale.ca_EZ.toLowerCase(), ca_ES],
    [locale_1.Locale.cs_CZ.toLowerCase(), cs_CZ],
    [locale_1.Locale.da_DK.toLowerCase(), da_DK],
    [locale_1.Locale.de_DE.toLowerCase(), de_DE],
    [locale_1.Locale.el_GR.toLowerCase(), el_GR],
    [locale_1.Locale.en_US.toLowerCase(), en_US],
    [locale_1.Locale.es_ES.toLowerCase(), es_ES],
    [locale_1.Locale.et_EE.toLowerCase(), et_EE],
    [locale_1.Locale.eu_ES.toLowerCase(), eu_ES],
    [locale_1.Locale.fi_FI.toLowerCase(), fi_FI],
    [locale_1.Locale.fr_FR.toLowerCase(), fr_FR],
    [locale_1.Locale.gl_ES.toLowerCase(), gl_ES],
    [locale_1.Locale.hi_IN.toLowerCase(), hi_IN],
    [locale_1.Locale.hr_HR.toLowerCase(), hr_HR],
    [locale_1.Locale.hu_HU.toLowerCase(), hu_HU],
    [locale_1.Locale.id_ID.toLowerCase(), id_ID],
    [locale_1.Locale.it_IT.toLowerCase(), it_IT],
    [locale_1.Locale.ja_JP.toLowerCase(), ja_JP],
    [locale_1.Locale.kk_KZ.toLowerCase(), kk_KZ],
    [locale_1.Locale.ko_KR.toLowerCase(), ko_KR],
    [locale_1.Locale.lt_LT.toLowerCase(), lt_LT],
    [locale_1.Locale.lv_LV.toLowerCase(), lv_LV],
    [locale_1.Locale.ms_MY.toLowerCase(), ms_MY],
    [locale_1.Locale.nb_NO.toLowerCase(), nb_NO],
    [locale_1.Locale.nl_NL.toLowerCase(), nl_NL],
    [locale_1.Locale.pl_PL.toLowerCase(), pl_PL],
    [locale_1.Locale.pt_BR.toLowerCase(), pt_BR],
    [locale_1.Locale.pt_PT.toLowerCase(), pt_PT],
    [locale_1.Locale.ro_RO.toLowerCase(), ro_RO],
    [locale_1.Locale.ru_RU.toLowerCase(), ru_RU],
    [locale_1.Locale.sk_SK.toLowerCase(), sk_SK],
    [locale_1.Locale.sl_SI.toLowerCase(), sl_SI],
    [locale_1.Locale.sr_Cyrl_RS.toLowerCase(), sr_Cyrl_RS],
    [locale_1.Locale.sr_Latn_RS.toLowerCase(), sr_Latn_RS],
    [locale_1.Locale.sv_SE.toLowerCase(), sv_SE],
    [locale_1.Locale.th_TH.toLowerCase(), th_TH],
    [locale_1.Locale.tr_TR.toLowerCase(), tr_TR],
    [locale_1.Locale.uk_UA.toLowerCase(), uk_UA],
    [locale_1.Locale.vi_VN.toLowerCase(), vi_VN],
    [locale_1.Locale.zh_CN.toLowerCase(), zh_CN],
    [locale_1.Locale.zh_TW.toLowerCase(), zh_TW],
]);
exports.DefaultTemplates = en_US;
//# sourceMappingURL=templates.js.map