import { NodeIdMap } from ".";
import { TXorNode, XorNode } from "./xorNode";
import { Ast } from "../../language";
export declare function assertAncestry(nodeIdMapCollection: NodeIdMap.Collection, nodeId: number): ReadonlyArray<TXorNode>;
export declare function assertNth(ancestry: ReadonlyArray<TXorNode>, ancestryIndex: number): TXorNode;
export declare function assertNthChecked<T extends Ast.TNode>(ancestry: ReadonlyArray<TXorNode>, ancestryIndex: number, expectedNodeKinds: ReadonlyArray<T["kind"]> | T["kind"]): XorNode<T>;
export declare function findNodeKind<T extends Ast.TNode>(ancestry: ReadonlyArray<TXorNode>, expectedNodeKinds: ReadonlyArray<T["kind"]> | T["kind"]): XorNode<T> | undefined;
export declare function indexOfNodeKind<T extends Ast.TNode>(ancestry: ReadonlyArray<TXorNode>, expectedNodeKinds: ReadonlyArray<T["kind"]> | T["kind"]): number | undefined;
export declare function nth(ancestry: ReadonlyArray<TXorNode>, ancestryIndex: number): TXorNode | undefined;
export declare function nthChecked<T extends Ast.TNode>(ancestry: ReadonlyArray<TXorNode>, ancestryIndex: number, expectedNodeKinds: ReadonlyArray<T["kind"]> | T["kind"]): XorNode<T> | undefined;
