import { Collection } from "../nodeIdMap";
import { NodeIdMap } from "..";
import { Ast } from "../../../language";
import { TXorNode } from "../xorNode";
export declare function assertLeftMostLeaf(nodeIdMapCollection: Collection, nodeId: number): Ast.TNode;
export declare function assertLeftMostXor(nodeIdMapCollection: Collection, nodeId: number): TXorNode;
export declare function leftMostXor(nodeIdMapCollection: Collection, nodeId: number): TXorNode | undefined;
export declare function leftMostLeaf(nodeIdMapCollection: NodeIdMap.Collection, nodeId: number): Ast.TNode | undefined;
export declare function rightMostLeaf(nodeIdMapCollection: Collection, nodeId: number, predicate?: ((node: Ast.TNode) => boolean) | undefined): Promise<Ast.TNode | undefined>;
export declare function rightMostLeafWhere(nodeIdMapCollection: Collection, nodeId: number, predicateFn: ((node: Ast.TNode) => boolean) | undefined): Promise<Ast.TNode | undefined>;
