import { NodeIdMap } from "..";
import { TXorNode, XorNode } from "../xorNode";
import { Ast } from "../../../language";
export declare function assertRecursiveExpressionPreviousSibling<T extends Ast.TNode>(nodeIdMapCollection: NodeIdMap.Collection, nodeId: number, expectedNodeKinds?: ReadonlyArray<T["kind"]> | T["kind"] | undefined): TXorNode;
export declare function invokeExpressionIdentifier(nodeIdMapCollection: NodeIdMap.Collection, nodeId: number): XorNode<Ast.IdentifierExpression> | undefined;
export declare function invokeExpressionIdentifierLiteral(nodeIdMapCollection: NodeIdMap.Collection, nodeId: number): string | undefined;
export declare function parameterIdentifier(nodeIdMapCollection: NodeIdMap.Collection, functionParameter: TXorNode): Ast.Identifier | undefined;
export declare function parameterIdentifierLiteral(nodeIdMapCollection: NodeIdMap.Collection, functionParameter: TXorNode): string | undefined;
