import { Ast } from "../../../language";
export declare type TOperand = Ast.TBinOpExpression | Ast.TUnaryExpression | Ast.TNullablePrimitiveType;
export declare enum CombinatorialParserV2TraceConstant {
    CombinatorialParseV2 = "CombinatorialParseV2"
}
export interface OperatorsAndOperands {
    readonly operatorConstants: ReadonlyArray<Ast.TBinOpExpressionConstant>;
    readonly operands: ReadonlyArray<TOperand>;
}
