export declare class ImmutableSet<T> {
    private readonly comparer;
    readonly size: number;
    private internalCollection;
    constructor(iterable?: Iterable<T>, comparer?: (left: T, right: T) => boolean);
    add(value: T): ImmutableSet<T>;
    addMany(values: Iterable<T>): ImmutableSet<T>;
    clear(): void;
    delete(value: T): ImmutableSet<T>;
    has(value: T): boolean;
    values(): IterableIterator<T>;
}
