"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assertDelete = exports.assertAddUnique = void 0;
const _1 = require(".");
function assertAddUnique(collection, item, message, details) {
    _1.Assert.isFalse(collection.has(item), message !== null && message !== void 0 ? message : `collection expected to not already contain the given item`, details !== null && details !== void 0 ? details : { item });
    collection.add(item);
}
exports.assertAddUnique = assertAddUnique;
function assertDelete(collection, item, message, details) {
    _1.Assert.isTrue(collection.delete(item), message !== null && message !== void 0 ? message : `collection expected to contain the given item`, details !== null && details !== void 0 ? details : { item });
}
exports.assertDelete = assertDelete;
//# sourceMappingURL=setUtils.js.map