import { StringUtils } from "../common";
export declare enum IdentifierKind {
    Generalized = "Generalized",
    Invalid = "Invalid",
    Quote = "Quote",
    QuoteRequired = "QuoteRequired",
    Regular = "Regular"
}
export declare function findQuotedIdentifierQuotes(text: string, index: number): StringUtils.FoundQuotes | undefined;
export declare function getIdentifierKind(text: string, allowTrailingPeriod: boolean): IdentifierKind;
export declare function getIdentifierLength(text: string, index: number, allowTrailingPeriod: boolean): number | undefined;
export declare function getGeneralizedIdentifierLength(text: string, index: number): number | undefined;
export declare function isGeneralizedIdentifier(text: string): boolean;
export declare function isRegularIdentifier(text: string, allowTrailingPeriod: boolean): boolean;
export declare function isQuotedIdentifier(text: string): boolean;
export declare function normalizeIdentifier(text: string): string;
