export declare enum KeywordKind {
    And = "and",
    As = "as",
    Each = "each",
    Else = "else",
    Error = "error",
    False = "false",
    If = "if",
    In = "in",
    Is = "is",
    Let = "let",
    Meta = "meta",
    Not = "not",
    Or = "or",
    Otherwise = "otherwise",
    Section = "section",
    Shared = "shared",
    Then = "then",
    True = "true",
    Try = "try",
    Type = "type",
    HashBinary = "#binary",
    HashDate = "#date",
    HashDateTime = "#datetime",
    HashDateTimeZone = "#datetimezone",
    HashDuration = "#duration",
    HashInfinity = "#infinity",
    HashNan = "#nan",
    HashSections = "#sections",
    HashShared = "#shared",
    HashTable = "#table",
    HashTime = "#time"
}
export declare const KeywordKinds: ReadonlyArray<KeywordKind>;
export declare const ExpressionKeywordKinds: ReadonlyArray<KeywordKind>;
export declare const StartOfDocumentKeywords: ReadonlyArray<KeywordKind>;
