import { Type } from "..";
export declare function assertAsAction(type: Type.TPowerQueryType): Type.Action;
export declare function assertAsAny(type: Type.TPowerQueryType): Type.TAny;
export declare function assertAsAnyUnion(type: Type.TPowerQueryType): Type.AnyUnion;
export declare function assertAsAnyNonNull(type: Type.TPowerQueryType): Type.AnyNonNull;
export declare function assertAsBinary(type: Type.TPowerQueryType): Type.Binary;
export declare function assertAsDate(type: Type.TPowerQueryType): Type.Date;
export declare function assertAsDateTime(type: Type.TPowerQueryType): Type.DateTime;
export declare function assertAsDateTimeZone(type: Type.TPowerQueryType): Type.DateTimeZone;
export declare function assertAsDefinedFunction(type: Type.TPowerQueryType): Type.DefinedFunction;
export declare function assertAsDefinedList(type: Type.TPowerQueryType): Type.DefinedList;
export declare function assertAsDefinedListType(type: Type.TPowerQueryType): Type.DefinedListType;
export declare function assertAsDefinedRecord(type: Type.TPowerQueryType): Type.DefinedRecord;
export declare function assertAsDefinedTable(type: Type.TPowerQueryType): Type.DefinedTable;
export declare function assertAsDuration(type: Type.TPowerQueryType): Type.Duration;
export declare function assertAsFunction(type: Type.TPowerQueryType): Type.TFunction;
export declare function assertAsFunctionType(type: Type.TPowerQueryType): Type.FunctionType;
export declare function assertAsList(type: Type.TPowerQueryType): Type.TList;
export declare function assertAsLogical(type: Type.TPowerQueryType): Type.TLogical;
export declare function assertAsLogicalLiteral(type: Type.TPowerQueryType): Type.LogicalLiteral;
export declare function assertAsNone(type: Type.TPowerQueryType): Type.None;
export declare function assertAsNotApplicable(type: Type.TPowerQueryType): Type.NotApplicable;
export declare function assertAsNull(type: Type.TPowerQueryType): Type.Null;
export declare function assertAsNumber(type: Type.TPowerQueryType): Type.TNumber;
export declare function assertAsNumberLiteral(type: Type.TPowerQueryType): Type.NumberLiteral;
export declare function assertAsPrimaryPrimitiveType(type: Type.TPowerQueryType): Type.PrimaryPrimitiveType;
export declare function assertAsRecord(type: Type.TPowerQueryType): Type.TRecord;
export declare function assertAsRecordType(type: Type.TPowerQueryType): Type.RecordType;
export declare function assertAsTable(type: Type.TPowerQueryType): Type.TTable;
export declare function assertAsTableType(type: Type.TPowerQueryType): Type.TableType;
export declare function assertAsTableTypePrimaryExpression(type: Type.TPowerQueryType): Type.TableTypePrimaryExpression;
export declare function assertAsText(type: Type.TPowerQueryType): Type.TText;
export declare function assertAsTextLiteral(type: Type.TPowerQueryType): Type.TextLiteral;
export declare function assertAsTime(type: Type.TPowerQueryType): Type.Time;
export declare function assertAsTPrimitiveType(type: Type.TPowerQueryType): Type.TPrimitiveType;
export declare function assertAsTLiteral(type: Type.TPowerQueryType): Type.TLiteral;
export declare function assertAsType(type: Type.TPowerQueryType): Type.Type;
export declare function assertAsUnknown(type: Type.TPowerQueryType): Type.Unknown;
export declare function assertIsAction(type: Type.TPowerQueryType): asserts type is Type.Action;
export declare function assertIsAny(type: Type.TPowerQueryType): asserts type is Type.Any | Type.AnyUnion;
export declare function assertIsAnyUnion(type: Type.TPowerQueryType): asserts type is Type.AnyUnion;
export declare function assertIsAnyNonNull(type: Type.TPowerQueryType): asserts type is Type.AnyNonNull;
export declare function assertIsBinary(type: Type.TPowerQueryType): asserts type is Type.Binary;
export declare function assertIsDate(type: Type.TPowerQueryType): asserts type is Type.Date;
export declare function assertIsDateTime(type: Type.TPowerQueryType): asserts type is Type.DateTime;
export declare function assertIsDateTimeZone(type: Type.TPowerQueryType): asserts type is Type.DateTimeZone;
export declare function assertIsDefinedFunction(type: Type.TPowerQueryType): asserts type is Type.DefinedFunction;
export declare function assertIsDefinedList(type: Type.TPowerQueryType): asserts type is Type.DefinedList;
export declare function assertIsDefinedListType(type: Type.TPowerQueryType): asserts type is Type.DefinedListType;
export declare function assertIsDefinedRecord(type: Type.TPowerQueryType): asserts type is Type.DefinedRecord;
export declare function assertIsDefinedTable(type: Type.TPowerQueryType): asserts type is Type.DefinedTable;
export declare function assertIsDuration(type: Type.TPowerQueryType): asserts type is Type.Duration;
export declare function assertIsFunction(type: Type.TPowerQueryType): asserts type is Type.TFunction;
export declare function assertIsFunctionType(type: Type.TPowerQueryType): asserts type is Type.FunctionType;
export declare function assertIsList(type: Type.TPowerQueryType): asserts type is Type.TList;
export declare function assertIsLiteral(type: Type.TPowerQueryType): asserts type is Type.TLiteral;
export declare function assertIsLogical(type: Type.TPowerQueryType): asserts type is Type.TLogical;
export declare function assertIsLogicalLiteral(type: Type.TPowerQueryType): asserts type is Type.LogicalLiteral;
export declare function assertIsNone(type: Type.TPowerQueryType): asserts type is Type.None;
export declare function assertIsNotApplicable(type: Type.TPowerQueryType): asserts type is Type.NotApplicable;
export declare function assertIsNull(type: Type.TPowerQueryType): asserts type is Type.Null;
export declare function assertIsNumber(type: Type.TPowerQueryType): asserts type is Type.TNumber;
export declare function assertIsNumberLiteral(type: Type.TPowerQueryType): asserts type is Type.NumberLiteral;
export declare function assertIsPrimaryPrimitiveType(type: Type.TPowerQueryType): asserts type is Type.PrimaryPrimitiveType;
export declare function assertIsTPrimitiveType(type: Type.TPowerQueryType): asserts type is Type.TPrimitiveType;
export declare function assertIsRecord(type: Type.TPowerQueryType): asserts type is Type.TRecord;
export declare function assertIsRecordType(type: Type.TPowerQueryType): asserts type is Type.RecordType;
export declare function assertIsTable(type: Type.TPowerQueryType): asserts type is Type.TTable;
export declare function assertIsTableType(type: Type.TPowerQueryType): asserts type is Type.TableType;
export declare function assertIsTableTypePrimaryExpression(type: Type.TPowerQueryType): asserts type is Type.TableTypePrimaryExpression;
export declare function assertIsText(type: Type.TPowerQueryType): asserts type is Type.TText;
export declare function assertIsTextLiteral(type: Type.TPowerQueryType): asserts type is Type.TextLiteral;
export declare function assertIsTime(type: Type.TPowerQueryType): asserts type is Type.Time;
export declare function assertIsType(type: Type.TPowerQueryType): asserts type is Type.Type;
export declare function assertIsUnknown(type: Type.TPowerQueryType): asserts type is Type.Unknown;
