"use strict";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT license.
Object.defineProperty(exports, "__esModule", { value: true });
exports.assertIsDefinedTable = exports.assertIsDefinedRecord = exports.assertIsDefinedListType = exports.assertIsDefinedList = exports.assertIsDefinedFunction = exports.assertIsDateTimeZone = exports.assertIsDateTime = exports.assertIsDate = exports.assertIsBinary = exports.assertIsAnyNonNull = exports.assertIsAnyUnion = exports.assertIsAny = exports.assertIsAction = exports.assertAsUnknown = exports.assertAsType = exports.assertAsTLiteral = exports.assertAsTPrimitiveType = exports.assertAsTime = exports.assertAsTextLiteral = exports.assertAsText = exports.assertAsTableTypePrimaryExpression = exports.assertAsTableType = exports.assertAsTable = exports.assertAsRecordType = exports.assertAsRecord = exports.assertAsPrimaryPrimitiveType = exports.assertAsNumberLiteral = exports.assertAsNumber = exports.assertAsNull = exports.assertAsNotApplicable = exports.assertAsNone = exports.assertAsLogicalLiteral = exports.assertAsLogical = exports.assertAsList = exports.assertAsFunctionType = exports.assertAsFunction = exports.assertAsDuration = exports.assertAsDefinedTable = exports.assertAsDefinedRecord = exports.assertAsDefinedListType = exports.assertAsDefinedList = exports.assertAsDefinedFunction = exports.assertAsDateTimeZone = exports.assertAsDateTime = exports.assertAsDate = exports.assertAsBinary = exports.assertAsAnyNonNull = exports.assertAsAnyUnion = exports.assertAsAny = exports.assertAsAction = void 0;
exports.assertIsUnknown = exports.assertIsType = exports.assertIsTime = exports.assertIsTextLiteral = exports.assertIsText = exports.assertIsTableTypePrimaryExpression = exports.assertIsTableType = exports.assertIsTable = exports.assertIsRecordType = exports.assertIsRecord = exports.assertIsTPrimitiveType = exports.assertIsPrimaryPrimitiveType = exports.assertIsNumberLiteral = exports.assertIsNumber = exports.assertIsNull = exports.assertIsNotApplicable = exports.assertIsNone = exports.assertIsLogicalLiteral = exports.assertIsLogical = exports.assertIsLiteral = exports.assertIsList = exports.assertIsFunctionType = exports.assertIsFunction = exports.assertIsDuration = void 0;
const isType = require("./isType");
const common_1 = require("../../../common");
const __1 = require("..");
function assertAsAction(type) {
    assertIsAction(type);
    return type;
}
exports.assertAsAction = assertAsAction;
function assertAsAny(type) {
    assertIsAny(type);
    return type;
}
exports.assertAsAny = assertAsAny;
function assertAsAnyUnion(type) {
    assertIsAnyUnion(type);
    return type;
}
exports.assertAsAnyUnion = assertAsAnyUnion;
function assertAsAnyNonNull(type) {
    assertIsAnyNonNull(type);
    return type;
}
exports.assertAsAnyNonNull = assertAsAnyNonNull;
function assertAsBinary(type) {
    assertIsBinary(type);
    return type;
}
exports.assertAsBinary = assertAsBinary;
function assertAsDate(type) {
    assertIsDate(type);
    return type;
}
exports.assertAsDate = assertAsDate;
function assertAsDateTime(type) {
    assertIsDateTime(type);
    return type;
}
exports.assertAsDateTime = assertAsDateTime;
function assertAsDateTimeZone(type) {
    assertIsDateTimeZone(type);
    return type;
}
exports.assertAsDateTimeZone = assertAsDateTimeZone;
function assertAsDefinedFunction(type) {
    assertIsDefinedFunction(type);
    return type;
}
exports.assertAsDefinedFunction = assertAsDefinedFunction;
function assertAsDefinedList(type) {
    assertIsDefinedList(type);
    return type;
}
exports.assertAsDefinedList = assertAsDefinedList;
function assertAsDefinedListType(type) {
    assertIsDefinedListType(type);
    return type;
}
exports.assertAsDefinedListType = assertAsDefinedListType;
function assertAsDefinedRecord(type) {
    assertIsDefinedRecord(type);
    return type;
}
exports.assertAsDefinedRecord = assertAsDefinedRecord;
function assertAsDefinedTable(type) {
    assertIsDefinedTable(type);
    return type;
}
exports.assertAsDefinedTable = assertAsDefinedTable;
function assertAsDuration(type) {
    assertIsDuration(type);
    return type;
}
exports.assertAsDuration = assertAsDuration;
function assertAsFunction(type) {
    assertIsFunction(type);
    return type;
}
exports.assertAsFunction = assertAsFunction;
function assertAsFunctionType(type) {
    assertIsFunctionType(type);
    return type;
}
exports.assertAsFunctionType = assertAsFunctionType;
function assertAsList(type) {
    assertIsList(type);
    return type;
}
exports.assertAsList = assertAsList;
function assertAsLogical(type) {
    assertIsLogical(type);
    return type;
}
exports.assertAsLogical = assertAsLogical;
function assertAsLogicalLiteral(type) {
    assertIsLogicalLiteral(type);
    return type;
}
exports.assertAsLogicalLiteral = assertAsLogicalLiteral;
function assertAsNone(type) {
    assertIsNone(type);
    return type;
}
exports.assertAsNone = assertAsNone;
function assertAsNotApplicable(type) {
    assertIsNotApplicable(type);
    return type;
}
exports.assertAsNotApplicable = assertAsNotApplicable;
function assertAsNull(type) {
    assertIsNull(type);
    return type;
}
exports.assertAsNull = assertAsNull;
function assertAsNumber(type) {
    assertIsNumber(type);
    return type;
}
exports.assertAsNumber = assertAsNumber;
function assertAsNumberLiteral(type) {
    assertIsNumberLiteral(type);
    return type;
}
exports.assertAsNumberLiteral = assertAsNumberLiteral;
function assertAsPrimaryPrimitiveType(type) {
    assertIsPrimaryPrimitiveType(type);
    return type;
}
exports.assertAsPrimaryPrimitiveType = assertAsPrimaryPrimitiveType;
function assertAsRecord(type) {
    assertIsRecord(type);
    return type;
}
exports.assertAsRecord = assertAsRecord;
function assertAsRecordType(type) {
    assertIsRecordType(type);
    return type;
}
exports.assertAsRecordType = assertAsRecordType;
function assertAsTable(type) {
    assertIsTable(type);
    return type;
}
exports.assertAsTable = assertAsTable;
function assertAsTableType(type) {
    assertIsTableType(type);
    return type;
}
exports.assertAsTableType = assertAsTableType;
function assertAsTableTypePrimaryExpression(type) {
    assertIsTableTypePrimaryExpression(type);
    return type;
}
exports.assertAsTableTypePrimaryExpression = assertAsTableTypePrimaryExpression;
function assertAsText(type) {
    assertIsText(type);
    return type;
}
exports.assertAsText = assertAsText;
function assertAsTextLiteral(type) {
    assertIsTextLiteral(type);
    return type;
}
exports.assertAsTextLiteral = assertAsTextLiteral;
function assertAsTime(type) {
    assertIsTime(type);
    return type;
}
exports.assertAsTime = assertAsTime;
function assertAsTPrimitiveType(type) {
    assertIsTPrimitiveType(type);
    return type;
}
exports.assertAsTPrimitiveType = assertAsTPrimitiveType;
function assertAsTLiteral(type) {
    assertIsLiteral(type);
    return type;
}
exports.assertAsTLiteral = assertAsTLiteral;
function assertAsType(type) {
    assertIsType(type);
    return type;
}
exports.assertAsType = assertAsType;
function assertAsUnknown(type) {
    assertIsUnknown(type);
    return type;
}
exports.assertAsUnknown = assertAsUnknown;
function assertIsAction(type) {
    if (!isType.isAction(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Action,
            expectedExtendedTypeKind: undefined,
        };
        throw new common_1.CommonError.InvariantError(`${assertIsAction.name} failed`, details);
    }
}
exports.assertIsAction = assertIsAction;
function assertIsAny(type) {
    if (!isType.isAny(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Any,
            expectedExtendedTypeKind: [undefined, __1.Type.ExtendedTypeKind.AnyUnion],
        };
        throw new common_1.CommonError.InvariantError(`${assertIsAny.name} failed`, details);
    }
}
exports.assertIsAny = assertIsAny;
function assertIsAnyUnion(type) {
    if (!isType.isAnyUnion(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Any,
            expectedExtendedTypeKind: [__1.Type.ExtendedTypeKind.AnyUnion],
        };
        throw new common_1.CommonError.InvariantError(`${assertIsAnyUnion.name} failed`, details);
    }
}
exports.assertIsAnyUnion = assertIsAnyUnion;
function assertIsAnyNonNull(type) {
    if (!isType.isAnyNonNull(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.AnyNonNull,
            expectedExtendedTypeKind: undefined,
        };
        throw new common_1.CommonError.InvariantError(`${assertIsAnyNonNull.name} failed`, details);
    }
}
exports.assertIsAnyNonNull = assertIsAnyNonNull;
function assertIsBinary(type) {
    if (!isType.isBinary(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Binary,
            expectedExtendedTypeKind: undefined,
        };
        throw new common_1.CommonError.InvariantError(`${assertIsBinary.name} failed`, details);
    }
}
exports.assertIsBinary = assertIsBinary;
function assertIsDate(type) {
    if (!isType.isDate(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Date,
            expectedExtendedTypeKind: undefined,
        };
        throw new common_1.CommonError.InvariantError(`${assertIsDate.name} failed`, details);
    }
}
exports.assertIsDate = assertIsDate;
function assertIsDateTime(type) {
    if (!isType.isDateTime(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.DateTime,
            expectedExtendedTypeKind: undefined,
        };
        throw new common_1.CommonError.InvariantError(`${assertIsDateTime.name} failed`, details);
    }
}
exports.assertIsDateTime = assertIsDateTime;
function assertIsDateTimeZone(type) {
    if (!isType.isDateTimeZone(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.DateTimeZone,
            expectedExtendedTypeKind: undefined,
        };
        throw new common_1.CommonError.InvariantError(`${assertIsDateTimeZone.name} failed`, details);
    }
}
exports.assertIsDateTimeZone = assertIsDateTimeZone;
function assertIsDefinedFunction(type) {
    if (!isType.isDefinedFunction(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Function,
            expectedExtendedTypeKind: [__1.Type.ExtendedTypeKind.DefinedFunction],
        };
        throw new common_1.CommonError.InvariantError(`${assertIsDefinedFunction.name} failed`, details);
    }
}
exports.assertIsDefinedFunction = assertIsDefinedFunction;
function assertIsDefinedList(type) {
    if (!isType.isDefinedList(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.List,
            expectedExtendedTypeKind: [__1.Type.ExtendedTypeKind.DefinedList],
        };
        throw new common_1.CommonError.InvariantError(`${assertIsDefinedList.name} failed`, details);
    }
}
exports.assertIsDefinedList = assertIsDefinedList;
function assertIsDefinedListType(type) {
    if (!isType.isDefinedListType(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Type,
            expectedExtendedTypeKind: [__1.Type.ExtendedTypeKind.DefinedListType],
        };
        throw new common_1.CommonError.InvariantError(`${assertIsDefinedListType.name} failed`, details);
    }
}
exports.assertIsDefinedListType = assertIsDefinedListType;
function assertIsDefinedRecord(type) {
    if (!isType.isDefinedRecord(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Record,
            expectedExtendedTypeKind: [__1.Type.ExtendedTypeKind.DefinedRecord],
        };
        throw new common_1.CommonError.InvariantError(`${assertIsDefinedRecord.name} failed`, details);
    }
}
exports.assertIsDefinedRecord = assertIsDefinedRecord;
function assertIsDefinedTable(type) {
    if (!isType.isDefinedTable(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Table,
            expectedExtendedTypeKind: [__1.Type.ExtendedTypeKind.DefinedTable],
        };
        throw new common_1.CommonError.InvariantError(`${assertIsDefinedTable.name} failed`, details);
    }
}
exports.assertIsDefinedTable = assertIsDefinedTable;
function assertIsDuration(type) {
    if (!isType.isDuration(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Duration,
            expectedExtendedTypeKind: undefined,
        };
        throw new common_1.CommonError.InvariantError(`${assertIsDuration.name} failed`, details);
    }
}
exports.assertIsDuration = assertIsDuration;
function assertIsFunction(type) {
    if (!isType.isFunction(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Function,
            expectedExtendedTypeKind: [undefined, __1.Type.ExtendedTypeKind.DefinedFunction],
        };
        throw new common_1.CommonError.InvariantError(`${assertIsFunction.name} failed`, details);
    }
}
exports.assertIsFunction = assertIsFunction;
function assertIsFunctionType(type) {
    if (!isType.isFunctionType(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Type,
            expectedExtendedTypeKind: [__1.Type.ExtendedTypeKind.FunctionType],
        };
        throw new common_1.CommonError.InvariantError(`${assertIsFunctionType.name} failed`, details);
    }
}
exports.assertIsFunctionType = assertIsFunctionType;
function assertIsList(type) {
    if (!isType.isList(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.List,
            expectedExtendedTypeKind: [undefined, __1.Type.ExtendedTypeKind.DefinedList],
        };
        throw new common_1.CommonError.InvariantError(`${assertIsList.name} failed`, details);
    }
}
exports.assertIsList = assertIsList;
function assertIsLiteral(type) {
    if (!isType.isLiteral(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: [__1.Type.TypeKind.Number, __1.Type.TypeKind.Text],
            expectedExtendedTypeKind: [__1.Type.ExtendedTypeKind.NumberLiteral, __1.Type.ExtendedTypeKind.TextLiteral],
        };
        throw new common_1.CommonError.InvariantError(`${assertIsLiteral.name} failed`, details);
    }
}
exports.assertIsLiteral = assertIsLiteral;
function assertIsLogical(type) {
    if (!isType.isLogical(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Logical,
            expectedExtendedTypeKind: [undefined, __1.Type.ExtendedTypeKind.LogicalLiteral],
        };
        throw new common_1.CommonError.InvariantError(`${assertIsLogical.name} failed`, details);
    }
}
exports.assertIsLogical = assertIsLogical;
function assertIsLogicalLiteral(type) {
    if (!isType.isLogicalLiteral(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Logical,
            expectedExtendedTypeKind: [__1.Type.ExtendedTypeKind.LogicalLiteral],
        };
        throw new common_1.CommonError.InvariantError(`${assertIsLogicalLiteral.name} failed`, details);
    }
}
exports.assertIsLogicalLiteral = assertIsLogicalLiteral;
function assertIsNone(type) {
    if (!isType.isNone(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.None,
            expectedExtendedTypeKind: undefined,
        };
        throw new common_1.CommonError.InvariantError(`${assertIsNone.name} failed`, details);
    }
}
exports.assertIsNone = assertIsNone;
function assertIsNotApplicable(type) {
    if (!isType.isNotApplicable(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.NotApplicable,
            expectedExtendedTypeKind: undefined,
        };
        throw new common_1.CommonError.InvariantError(`${assertIsNotApplicable.name} failed`, details);
    }
}
exports.assertIsNotApplicable = assertIsNotApplicable;
function assertIsNull(type) {
    if (!isType.isNull(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Null,
            expectedExtendedTypeKind: undefined,
        };
        throw new common_1.CommonError.InvariantError(`${assertIsNull.name} failed`, details);
    }
}
exports.assertIsNull = assertIsNull;
function assertIsNumber(type) {
    if (!isType.isNumber(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Number,
            expectedExtendedTypeKind: [undefined, __1.Type.ExtendedTypeKind.NumberLiteral],
        };
        throw new common_1.CommonError.InvariantError(`${assertIsNumber.name} failed`, details);
    }
}
exports.assertIsNumber = assertIsNumber;
function assertIsNumberLiteral(type) {
    if (!isType.isNumber(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Number,
            expectedExtendedTypeKind: [__1.Type.ExtendedTypeKind.NumberLiteral],
        };
        throw new common_1.CommonError.InvariantError(`${assertIsNumberLiteral.name} failed`, details);
    }
}
exports.assertIsNumberLiteral = assertIsNumberLiteral;
function assertIsPrimaryPrimitiveType(type) {
    if (!isType.isPrimaryPrimitiveType(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Type,
            expectedExtendedTypeKind: [__1.Type.ExtendedTypeKind.PrimaryPrimitiveType],
        };
        throw new common_1.CommonError.InvariantError(`${assertIsPrimaryPrimitiveType.name} failed`, details);
    }
}
exports.assertIsPrimaryPrimitiveType = assertIsPrimaryPrimitiveType;
function assertIsTPrimitiveType(type) {
    if (!isType.isTPrimitiveType(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: [
                __1.Type.TypeKind.Action,
                __1.Type.TypeKind.Any,
                __1.Type.TypeKind.AnyNonNull,
                __1.Type.TypeKind.Binary,
                __1.Type.TypeKind.Date,
                __1.Type.TypeKind.DateTime,
                __1.Type.TypeKind.DateTimeZone,
                __1.Type.TypeKind.Duration,
                __1.Type.TypeKind.Function,
                __1.Type.TypeKind.List,
                __1.Type.TypeKind.Logical,
                __1.Type.TypeKind.None,
                __1.Type.TypeKind.NotApplicable,
                __1.Type.TypeKind.Null,
                __1.Type.TypeKind.Number,
                __1.Type.TypeKind.Record,
                __1.Type.TypeKind.Table,
                __1.Type.TypeKind.Text,
                __1.Type.TypeKind.Time,
                __1.Type.TypeKind.Type,
                __1.Type.TypeKind.Unknown,
            ],
            expectedExtendedTypeKind: undefined,
        };
        throw new common_1.CommonError.InvariantError(`${assertIsTPrimitiveType.name}`, details);
    }
}
exports.assertIsTPrimitiveType = assertIsTPrimitiveType;
function assertIsRecord(type) {
    if (!isType.isRecord(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Record,
            expectedExtendedTypeKind: [undefined, __1.Type.ExtendedTypeKind.DefinedRecord],
        };
        throw new common_1.CommonError.InvariantError(`${assertIsRecord.name} failed`, details);
    }
}
exports.assertIsRecord = assertIsRecord;
function assertIsRecordType(type) {
    if (!isType.isRecordType(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Type,
            expectedExtendedTypeKind: [__1.Type.ExtendedTypeKind.RecordType],
        };
        throw new common_1.CommonError.InvariantError(`${assertIsRecordType.name} failed`, details);
    }
}
exports.assertIsRecordType = assertIsRecordType;
function assertIsTable(type) {
    if (!isType.isTable(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Table,
            expectedExtendedTypeKind: [undefined, __1.Type.ExtendedTypeKind.DefinedTable],
        };
        throw new common_1.CommonError.InvariantError(`${assertIsTable.name} failed`, details);
    }
}
exports.assertIsTable = assertIsTable;
function assertIsTableType(type) {
    if (!isType.isTableType(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Type,
            expectedExtendedTypeKind: [__1.Type.ExtendedTypeKind.TableType],
        };
        throw new common_1.CommonError.InvariantError(`${assertIsTableType.name} failed`, details);
    }
}
exports.assertIsTableType = assertIsTableType;
function assertIsTableTypePrimaryExpression(type) {
    if (!isType.isTableTypePrimaryExpression(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Type,
            expectedExtendedTypeKind: [__1.Type.ExtendedTypeKind.TableTypePrimaryExpression],
        };
        throw new common_1.CommonError.InvariantError(`${assertIsTableTypePrimaryExpression.name} failed`, details);
    }
}
exports.assertIsTableTypePrimaryExpression = assertIsTableTypePrimaryExpression;
function assertIsText(type) {
    if (!isType.isText(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Text,
            expectedExtendedTypeKind: [undefined, __1.Type.ExtendedTypeKind.TextLiteral],
        };
        throw new common_1.CommonError.InvariantError(`${assertIsText.name} failed`, details);
    }
}
exports.assertIsText = assertIsText;
function assertIsTextLiteral(type) {
    if (!isType.isText(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Text,
            expectedExtendedTypeKind: [__1.Type.ExtendedTypeKind.TextLiteral],
        };
        throw new common_1.CommonError.InvariantError(`${assertIsTextLiteral.name} failed`, details);
    }
}
exports.assertIsTextLiteral = assertIsTextLiteral;
function assertIsTime(type) {
    if (!isType.isTime(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Time,
            expectedExtendedTypeKind: undefined,
        };
        throw new common_1.CommonError.InvariantError(`${assertIsTime.name} failed`, details);
    }
}
exports.assertIsTime = assertIsTime;
function assertIsType(type) {
    if (!isType.isType(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Type,
            expectedExtendedTypeKind: undefined,
        };
        throw new common_1.CommonError.InvariantError(`${assertIsType.name} failed`, details);
    }
}
exports.assertIsType = assertIsType;
function assertIsUnknown(type) {
    if (!isType.isUnknown(type)) {
        const details = {
            givenTypeKind: type.kind,
            givenExtendedTypeKind: type.extendedKind,
            expectedTypeKind: __1.Type.TypeKind.Unknown,
            expectedExtendedTypeKind: undefined,
        };
        throw new common_1.CommonError.InvariantError(`${assertIsUnknown.name} failed`, details);
    }
}
exports.assertIsUnknown = assertIsUnknown;
//# sourceMappingURL=assert.js.map