import { ParseSettings } from "..";
import { ParseStateCheckpoint, TriedParse } from "./parser";
import { ParseState } from "../parseState";
import { LexerSnapshot } from "../../lexer";
export declare function tryParse(parseSettings: ParseSettings, lexerSnapshot: LexerSnapshot): Promise<TriedParse>;
export declare function tryParseDocument(parseSettings: ParseSettings, lexerSnapshot: LexerSnapshot): Promise<TriedParse>;
export declare function checkpoint(state: ParseState): Promise<ParseStateCheckpoint>;
export declare function restoreCheckpoint(state: ParseState, checkpoint: ParseStateCheckpoint): Promise<void>;
