"use strict";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT license.
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultSettings = void 0;
const parser_1 = require("./parser");
const localization_1 = require("./localization");
const trace_1 = require("./common/trace");
exports.DefaultSettings = {
    newParseState: (lexerSnapshot, overrides) => parser_1.ParseStateUtils.newState(lexerSnapshot, overrides),
    locale: localization_1.DefaultLocale,
    cancellationToken: undefined,
    initialCorrelationId: undefined,
    parserEntryPoint: undefined,
    parser: parser_1.CombinatorialParserV2,
    traceManager: trace_1.NoOpTraceManagerInstance,
};
//# sourceMappingURL=settings.js.map